Subject: Re:&nbsp;[TE-wg]&nbsp;TE&nbsp;use&nbsp;in&nbsp;today's&nbsp;networks

From: "Gao Deyun" <[email-masked]>
Date: 29 May 2001 11:16:21 +0800

Another paper:
  "MATE: MPLS Adaptive Traffic Engineering", INFOCOM'01.

This is for real-time traffic engineering. But, I am doubt about its
applicability in real life. 

By the way, is load balancing the same problem with traffic engineering?
I am confuison about it.

In your mail:
>Two authors of this much discussed paper:
>http://infocom.ucsd.edu/papers/744.pdf
>Yufei Wang and Leah Zhang, are my colleagues at Photuris.
>We had a long discussion on the practical issues 
>of the paper some time back.  Yufei told me that:
>THE APPROACH PRESENTED IN THE PAPER IS INTENDED FOR
>NETWORK PLANNING, NOT FOR REAL-TIME TRAFFIC ENGINEERING.
>
>You may also find the discussion on the 
>[email-masked]' mailing list during 5/7/01-5/9/01
>helpful. It clarified some common misunderstandings 
>about the paper. See the following thread:
>RE: interesting Infocom paper on traffic engineering via routing metrics
>
>XiPeng
>
>> > I suspect that one of the papers referenced is:
>> >
>> > http://infocom.ucsd.edu/papers/744.pdf
>> 
>> Two other papers (posted on the TE-WG list back in December 1999) include
>> 
>>   - A. Feldmann, A. Greenberg, C. Lund, N. Reingold, and J. Rexford,
>>     "NetScope: Traffic Engineering for IP Networks," IEEE Network 
>>     Magazine, March/April 2000.
>>       http://www.research.att.com/~jrex/papers/ieeenet00.ps
>> 
>>   - B. Fortz and M. Thorup, "Internet Traffic Engineering by
>>     Optimizing OSPF Weights," Proc. IEEE INFOCOM, March 2000.
>>       http://www.ieee-infocom.org/2000/papers/165.ps
>> 
>> > There are serious considerations to be overcome before this is
>> > practically implementable (ie, 10 significant digits on routing
>> > metrics).
>> 
>> The techniques in the papers listed above work with integer weights.
>> Experimental results seem to suggest that a small number of different
>> weight values are often sufficient in practice.
>> 
>> > Additionally, there are subsequent ops problems with implementing it
>> > (ie, dramatic impact when one link drops).
>> 
>> Depending on which link fails, the network load after the failure
>> isn't all that bad.  Although some failures can cause problems, often
>> one or two weight changes after the failure is enough to bring the
>> network back to a happy place (analogous to the need to fail over to
>> backup paths in MPLS).
>> 
>> > I suspect that this issue has been hammered to death on a mailing
>> > list somewhere, anone have pointers?
>> 
>> There has been some discussion recently on the IRTF-RR list...
>> Another reference listed there is
>> 
>>   http://www.eng.tau.ac.il/~shavitt/pub/DIMACS01-17.ps
>> 
>> -- Jen
>> 
>
>
> 

--http://www.eyou.com
--�ȶ��ɿ�����ѵ�������  �����ʼ�  �ƶ���ǩ  ��������  ����洢...����δ��